Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.nls
Interface ReportNLSLibrary

All Superinterfaces:
  NLSLibrary

    public interface ReportNLSLibrary

extends NLSLibrary

Method Summary
`java.util.List<java.awt.Font>` | `getFontKeys(java.lang.String catalogPath, int catalogVersionNumber)` Gets Font Keys from the Report NLS library.
`java.util.List<java.lang.String>` | `getFormatKeys(java.lang.String catalogPath, int catalogVersionNumber)` Gets Format Keys from the Report NLS library.
`java.util.Map<NLSType,java.util.Map<java.lang.String,java.lang.String>>` | `getOriginalTextKeys(java.lang.String catalogPath, int catalogVersionNumber)` Gets Text Keys and original text values from the Report NLS library.
`java.util.Map<java.lang.String,java.lang.String>` | `getParameterNamesMap(java.lang.String catalogPath, int catalogVersionNumber)` Gets the Parameter Names Map.
`java.util.Map<java.lang.String,ReportNLSLibrary>` | `getSubReportNLSLibraries()` Gets the Report NLS libraries of sub-reports of the main report.
`java.util.Map<NLSType,java.util.List<java.lang.String>>` | `getTextKeys(java.lang.String catalogPath, int catalogVersionNumber)` Gets Text Keys from the Report NLS library.

Methods inherited from interface jet.server.api.nls.NLSLibrary
`containsLocale, getAvailableLocales, getFontNLSEntries, getFontNLSEntry, getFormatNLSEntries, getFormatNLSEntry, getNLSEntries, getTextNLSEntries, getTextNLSEntry, removeFontNLSEntries, removeFontNLSEntry, removeFormatNLSEntries, removeFormatNLSEntry, removeNLSEntries, removeNLSEntries, removeNLSEntry, removeTextNLSEntries, removeTextNLSEntry, updateFontNLSEntries, updateFontNLSEntry, updateFormatNLSEntries, updateFormatNLSEntry, updateNLSEntries, updateNLSEntry, updateTextNLSEntries, updateTextNLSEntry`

Method Detail

### getTextKeys

    java.util.Map<NLSType,java.util.List<java.lang.String>> getTextKeys(java.lang.String catalogPath,
                                                                        int catalogVersionNumber)

  Gets Text Keys from the Report NLS library.

  Parameters:
    `catalogPath` - The path of catalog.
    `catalogVersionNumber` - The version number of catalog.
  Returns:
    A Map which contains all Text Keys, and its key is Text type, the value is a List which contains all text keys.

### getFormatKeys

    java.util.List<java.lang.String> getFormatKeys(java.lang.String catalogPath,
                                                   int catalogVersionNumber)

  Gets Format Keys from the Report NLS library.

  Parameters:
    `catalogPath` - The path of catalog.
    `catalogVersionNumber` - The version number of catalog.
  Returns:
    A List which contains all Format keys.

### getFontKeys

    java.util.List<java.awt.Font> getFontKeys(java.lang.String catalogPath,
                                              int catalogVersionNumber)

  Gets Font Keys from the Report NLS library.

  Parameters:
    `catalogPath` - The path of catalog.
    `catalogVersionNumber` - The version number of catalog.
  Returns:
    A List which contains all Font keys.

### getSubReportNLSLibraries

    java.util.Map<java.lang.String,ReportNLSLibrary> getSubReportNLSLibraries()

  Gets the Report NLS libraries of sub-reports of the main report.

  Returns:
    A Map which contains all Report NLS libraries, the key is sub-report name, the value is Report NLS library.

### getParameterNamesMap

    java.util.Map<java.lang.String,java.lang.String> getParameterNamesMap(java.lang.String catalogPath,
                                                                          int catalogVersionNumber)

  Gets the Parameter Names Map.

  Parameters:
    `catalogPath` - The path of catalog.
    `catalogVersionNumber` - The version number of catalog.
  Returns:
    A Map which contains all parameter names and corresponding values.

### getOriginalTextKeys

    java.util.Map<NLSType,java.util.Map<java.lang.String,java.lang.String>> getOriginalTextKeys(java.lang.String catalogPath,
                                                                                                int catalogVersionNumber)

  Gets Text Keys and original text values from the Report NLS library.

  Parameters:
    `catalogPath` - The path of catalog.
    `catalogVersionNumber` - The version number of catalog.
  Returns:
    A Map which contains all Text Keys, original text values, and its key is Text type, the value is a Map which contains all text keys and original text values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD